com.verisign.epp.codec.loginsecpolicy.v02

## Enum EPPLoginSecPolicyEvent.EventType

- java.lang.Object
- - java.lang.Enum<EPPLoginSecPolicyEvent.EventType>
  - - com.verisign.epp.codec.loginsecpolicy.v02.EPPLoginSecPolicyEvent.EventType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<EPPLoginSecPolicyEvent.EventType>
  Enclosing class:
    EPPLoginSecPolicyEvent

      public static enum EPPLoginSecPolicyEvent.EventType
      extends java.lang.Enum<EPPLoginSecPolicyEvent.EventType>
      implements java.io.Serializable, java.lang.Cloneable

  Possible list of security event types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `certificate` Client certificate expiry event type.
    `cipher` Insecure or deprecated TLS cipher suite event type.
    `custom` Custom event type.
    `newPw` New password does not meet server password complexity requirements event type.
    `password` Password expiry event type.
    `stat` Login security statistical warning event type.
    `tlsProtocol` Insecure or deprecated TLS protocol event type.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EPPLoginSecPolicyEvent.EventType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EPPLoginSecPolicyEvent.EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### password

          public static final EPPLoginSecPolicyEvent.EventType password

      Password expiry event type.

    - #### certificate

          public static final EPPLoginSecPolicyEvent.EventType certificate

      Client certificate expiry event type.

    - #### cipher

          public static final EPPLoginSecPolicyEvent.EventType cipher

      Insecure or deprecated TLS cipher suite event type.

    - #### tlsProtocol

          public static final EPPLoginSecPolicyEvent.EventType tlsProtocol

      Insecure or deprecated TLS protocol event type.

    - #### newPw

          public static final EPPLoginSecPolicyEvent.EventType newPw

      New password does not meet server password complexity requirements event type.

    - #### stat

          public static final EPPLoginSecPolicyEvent.EventType stat

      Login security statistical warning event type.

    - #### custom

          public static final EPPLoginSecPolicyEvent.EventType custom

      Custom event type.

  - ### Method Detail

    - #### values

          public static EPPLoginSecPolicyEvent.EventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPLoginSecPolicyEvent.EventType c : EPPLoginSecPolicyEvent.EventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPLoginSecPolicyEvent.EventType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © VeriSign Inc. All Rights Reserved.